using System ;
using Gtk;
using Mono.Posix;

public class DeviceSelection : HBox{

	public ComboBox combo;

	public DeviceSelection(string[] devs){
	
		combo = ComboBox.NewText();
		foreach (string dev in devs)
			combo.AppendText(dev);

		PackStart(new Label(Catalog.GetString("Choose your device:        ")),false,false,0);
		PackStart(combo);
		

	}
	public string Selected{
		get { 
			TreeIter iter;
			if (combo.GetActiveIter (out iter))
				return ((string) combo.Model.GetValue (iter, 0));
			else
				return "";
		}
	}

}