using System;
using Gtk;

class MainClass{

	public static void Main (string[] args){

		OS os;

		string env = System.Environment.OSVersion.ToString();
		string ver = System.Environment.OSVersion.Version.ToString();
		int major = ver[0] - 48;
		
		if (env.IndexOf("Unix")==-1){
			Console.WriteLine("Is this Windows?..");
			System.Environment.Exit(1);
		}

		if ( major > 2 )
			os = new FreeBSD();
		else
			os = new Linux();		

		Application.Init ();
		new GWireless (os);
		Application.Run ();
	}
}