using System;
using System.Collections;
using System.Text.RegularExpressions;
using System.Diagnostics;

abstract public class OS{

	public string SelectedDevice ;

	public bool HasWirelessDevices{
		get { return WirelessDevices().Length>0;}
	}
	
	public void Execute(string cmd){
		Console.WriteLine("\n\nExecuting: {0}",cmd);
		Process p = new Process();
		p.StartInfo.FileName = "sudo";
		p.StartInfo.Arguments = cmd;
		p.Start();
		p.WaitForExit();
		p.Close();
	}
	
	public abstract string[] WirelessDevices();
	public abstract ArrayList WirelessNetworks();
	public abstract void DHCP(string ssid, string wep);
	public abstract void StaticIP(string ssid,string ip,string netmask,string wep,string gateway);
	//public abstract void WPA();

}